com.tibbo.aggregate.common.view

## Class ViewFilterElement

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.view.ViewFilterElement

-     public class ViewFilterElement
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_COLUMN`
    `static java.lang.String` | `FIELD_LOGICAL`
    `static java.lang.String` | `FIELD_MANY_TO_MANY`
    `static java.lang.String` | `FIELD_NESTED`
    `static java.lang.String` | `FIELD_OPERATION`
    `static java.lang.String` | `FIELD_STORAGE`
    `static java.lang.String` | `FIELD_TABLE`
    `static java.lang.String` | `FIELD_TYPE`
    `static java.lang.String` | `FIELD_VALUE`
    `static java.lang.String` | `FIELD_VALUE_EDITOR`
    `static TableFormat` | `FORMAT`
    `static int` | `LOGICAL_OPERATION_AND`
    `static int` | `LOGICAL_OPERATION_NONE`
    `static int` | `LOGICAL_OPERATION_OR`
    `static java.lang.String` | `OPERATION_BEGINS_WITH`
    `static java.lang.String` | `OPERATION_CONTAINS`
    `static java.lang.String` | `OPERATION_DOES_NOT_BEGIN_WITH`
    `static java.lang.String` | `OPERATION_DOES_NOT_CONTAIN`
    `static java.lang.String` | `OPERATION_DOES_NOT_END_WITH`
    `static java.lang.String` | `OPERATION_DOES_NOT_EQUAL`
    `static java.lang.String` | `OPERATION_ENDS_WITH`
    `static java.lang.String` | `OPERATION_EQUALS`
    `static java.lang.String` | `OPERATION_IN`
    `static java.lang.String` | `OPERATION_IS_GREATER_OR_EQUAL_THAN`
    `static java.lang.String` | `OPERATION_IS_GREATER_THAN`
    `static java.lang.String` | `OPERATION_IS_LESS_OR_EQUAL_THAN`
    `static java.lang.String` | `OPERATION_IS_LESS_THAN`
    `static java.lang.String` | `OPERATION_IS_NOT_NULL`
    `static java.lang.String` | `OPERATION_IS_NULL`
    `static java.lang.String` | `OPERATION_LAST_HOUR`
    `static java.lang.String` | `OPERATION_LAST_MONTH`
    `static java.lang.String` | `OPERATION_LAST_WEEK`
    `static java.lang.String` | `OPERATION_LAST_X_DAYS`
    `static java.lang.String` | `OPERATION_LAST_X_HOURS`
    `static java.lang.String` | `OPERATION_LAST_X_MONTHS`
    `static java.lang.String` | `OPERATION_LAST_X_WEEKS`
    `static java.lang.String` | `OPERATION_LAST_X_YEARS`
    `static java.lang.String` | `OPERATION_LAST_YEAR`
    `static java.lang.String` | `OPERATION_NEXT_HOUR`
    `static java.lang.String` | `OPERATION_NEXT_MONTH`
    `static java.lang.String` | `OPERATION_NEXT_WEEK`
    `static java.lang.String` | `OPERATION_NEXT_X_DAYS`
    `static java.lang.String` | `OPERATION_NEXT_X_HOURS`
    `static java.lang.String` | `OPERATION_NEXT_X_MONTHS`
    `static java.lang.String` | `OPERATION_NEXT_X_WEEKS`
    `static java.lang.String` | `OPERATION_NEXT_X_YEARS`
    `static java.lang.String` | `OPERATION_NEXT_YEAR`
    `static java.lang.String` | `OPERATION_ON`
    `static java.lang.String` | `OPERATION_ON_OR_AFTER`
    `static java.lang.String` | `OPERATION_ON_OR_BEFORE`
    `static java.lang.String` | `OPERATION_THIS_HOUR`
    `static java.lang.String` | `OPERATION_THIS_MONTH`
    `static java.lang.String` | `OPERATION_THIS_WEEK`
    `static java.lang.String` | `OPERATION_THIS_YEAR`
    `static java.lang.String` | `OPERATION_TODAY`
    `static java.lang.String` | `OPERATION_TOMORROW`
    `static java.lang.String` | `OPERATION_YESTERDAY`
    `static java.util.Map<java.lang.String,java.lang.String>` | `OPERATIONS`
    `static TableFormat` | `SIMPLE_FILTERS_FORMAT`
    `static int` | `TYPE_CONDITION`
    `static int` | `TYPE_NESTED_CONDITIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewFilterElement()`
    `ViewFilterElement(DataRecord data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNested(ViewFilterElement nestedElement)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getColumn()`
    `java.lang.String` | `getEditor()`
    `int` | `getLogical()`
    `boolean` | `getManyToMany()`
    `java.util.List<ViewFilterElement>` | `getNested()`
    `java.lang.String` | `getOperation()`
    `java.lang.String` | `getStorage()`
    `java.lang.String` | `getTable()`
    `int` | `getType()`
    `java.lang.String` | `getValue()`
    `boolean` | `isLocal()`
    `void` | `setColumn(java.lang.String column)`
    `void` | `setEditor(java.lang.String editor)`
    `void` | `setLocal(boolean local)`
    `void` | `setLogical(int logical)`
    `void` | `setManyToMany(boolean manyToMany)`
    `void` | `setNested(java.util.List<ViewFilterElement> nested)`
    `void` | `setOperation(java.lang.String operation)`
    `void` | `setStorage(java.lang.String storage)`
    `void` | `setTable(java.lang.String table)`
    `void` | `setType(int type)`
    `void` | `setValue(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOGICAL_OPERATION_NONE

          public static final int LOGICAL_OPERATION_NONE

      See Also:
        Constant Field Values

    - #### LOGICAL_OPERATION_AND

          public static final int LOGICAL_OPERATION_AND

      See Also:
        Constant Field Values

    - #### LOGICAL_OPERATION_OR

          public static final int LOGICAL_OPERATION_OR

      See Also:
        Constant Field Values

    - #### TYPE_CONDITION

          public static final int TYPE_CONDITION

      See Also:
        Constant Field Values

    - #### TYPE_NESTED_CONDITIONS

          public static final int TYPE_NESTED_CONDITIONS

      See Also:
        Constant Field Values

    - #### OPERATION_EQUALS

          public static final java.lang.String OPERATION_EQUALS

      See Also:
        Constant Field Values

    - #### OPERATION_DOES_NOT_EQUAL

          public static final java.lang.String OPERATION_DOES_NOT_EQUAL

      See Also:
        Constant Field Values

    - #### OPERATION_IS_NULL

          public static final java.lang.String OPERATION_IS_NULL

      See Also:
        Constant Field Values

    - #### OPERATION_IS_NOT_NULL

          public static final java.lang.String OPERATION_IS_NOT_NULL

      See Also:
        Constant Field Values

    - #### OPERATION_CONTAINS

          public static final java.lang.String OPERATION_CONTAINS

      See Also:
        Constant Field Values

    - #### OPERATION_DOES_NOT_CONTAIN

          public static final java.lang.String OPERATION_DOES_NOT_CONTAIN

      See Also:
        Constant Field Values

    - #### OPERATION_BEGINS_WITH

          public static final java.lang.String OPERATION_BEGINS_WITH

      See Also:
        Constant Field Values

    - #### OPERATION_DOES_NOT_BEGIN_WITH

          public static final java.lang.String OPERATION_DOES_NOT_BEGIN_WITH

      See Also:
        Constant Field Values

    - #### OPERATION_ENDS_WITH

          public static final java.lang.String OPERATION_ENDS_WITH

      See Also:
        Constant Field Values

    - #### OPERATION_DOES_NOT_END_WITH

          public static final java.lang.String OPERATION_DOES_NOT_END_WITH

      See Also:
        Constant Field Values

    - #### OPERATION_IN

          public static final java.lang.String OPERATION_IN

      See Also:
        Constant Field Values

    - #### OPERATION_IS_GREATER_THAN

          public static final java.lang.String OPERATION_IS_GREATER_THAN

      See Also:
        Constant Field Values

    - #### OPERATION_IS_GREATER_OR_EQUAL_THAN

          public static final java.lang.String OPERATION_IS_GREATER_OR_EQUAL_THAN

      See Also:
        Constant Field Values

    - #### OPERATION_IS_LESS_THAN

          public static final java.lang.String OPERATION_IS_LESS_THAN

      See Also:
        Constant Field Values

    - #### OPERATION_IS_LESS_OR_EQUAL_THAN

          public static final java.lang.String OPERATION_IS_LESS_OR_EQUAL_THAN

      See Also:
        Constant Field Values

    - #### OPERATION_ON

          public static final java.lang.String OPERATION_ON

      See Also:
        Constant Field Values

    - #### OPERATION_ON_OR_AFTER

          public static final java.lang.String OPERATION_ON_OR_AFTER

      See Also:
        Constant Field Values

    - #### OPERATION_ON_OR_BEFORE

          public static final java.lang.String OPERATION_ON_OR_BEFORE

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_HOUR

          public static final java.lang.String OPERATION_LAST_HOUR

      See Also:
        Constant Field Values

    - #### OPERATION_THIS_HOUR

          public static final java.lang.String OPERATION_THIS_HOUR

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_HOUR

          public static final java.lang.String OPERATION_NEXT_HOUR

      See Also:
        Constant Field Values

    - #### OPERATION_YESTERDAY

          public static final java.lang.String OPERATION_YESTERDAY

      See Also:
        Constant Field Values

    - #### OPERATION_TODAY

          public static final java.lang.String OPERATION_TODAY

      See Also:
        Constant Field Values

    - #### OPERATION_TOMORROW

          public static final java.lang.String OPERATION_TOMORROW

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_WEEK

          public static final java.lang.String OPERATION_LAST_WEEK

      See Also:
        Constant Field Values

    - #### OPERATION_THIS_WEEK

          public static final java.lang.String OPERATION_THIS_WEEK

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_WEEK

          public static final java.lang.String OPERATION_NEXT_WEEK

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_MONTH

          public static final java.lang.String OPERATION_LAST_MONTH

      See Also:
        Constant Field Values

    - #### OPERATION_THIS_MONTH

          public static final java.lang.String OPERATION_THIS_MONTH

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_MONTH

          public static final java.lang.String OPERATION_NEXT_MONTH

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_YEAR

          public static final java.lang.String OPERATION_LAST_YEAR

      See Also:
        Constant Field Values

    - #### OPERATION_THIS_YEAR

          public static final java.lang.String OPERATION_THIS_YEAR

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_YEAR

          public static final java.lang.String OPERATION_NEXT_YEAR

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_X_HOURS

          public static final java.lang.String OPERATION_LAST_X_HOURS

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_X_HOURS

          public static final java.lang.String OPERATION_NEXT_X_HOURS

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_X_DAYS

          public static final java.lang.String OPERATION_LAST_X_DAYS

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_X_DAYS

          public static final java.lang.String OPERATION_NEXT_X_DAYS

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_X_WEEKS

          public static final java.lang.String OPERATION_LAST_X_WEEKS

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_X_WEEKS

          public static final java.lang.String OPERATION_NEXT_X_WEEKS

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_X_MONTHS

          public static final java.lang.String OPERATION_LAST_X_MONTHS

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_X_MONTHS

          public static final java.lang.String OPERATION_NEXT_X_MONTHS

      See Also:
        Constant Field Values

    - #### OPERATION_LAST_X_YEARS

          public static final java.lang.String OPERATION_LAST_X_YEARS

      See Also:
        Constant Field Values

    - #### OPERATION_NEXT_X_YEARS

          public static final java.lang.String OPERATION_NEXT_X_YEARS

      See Also:
        Constant Field Values

    - #### OPERATIONS

          public static final java.util.Map<java.lang.String,java.lang.String> OPERATIONS

    - #### FIELD_LOGICAL

          public static final java.lang.String FIELD_LOGICAL

      See Also:
        Constant Field Values

    - #### FIELD_TYPE

          public static final java.lang.String FIELD_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_STORAGE

          public static final java.lang.String FIELD_STORAGE

      See Also:
        Constant Field Values

    - #### FIELD_TABLE

          public static final java.lang.String FIELD_TABLE

      See Also:
        Constant Field Values

    - #### FIELD_COLUMN

          public static final java.lang.String FIELD_COLUMN

      See Also:
        Constant Field Values

    - #### FIELD_OPERATION

          public static final java.lang.String FIELD_OPERATION

      See Also:
        Constant Field Values

    - #### FIELD_VALUE

          public static final java.lang.String FIELD_VALUE

      See Also:
        Constant Field Values

    - #### FIELD_MANY_TO_MANY

          public static final java.lang.String FIELD_MANY_TO_MANY

      See Also:
        Constant Field Values

    - #### FIELD_VALUE_EDITOR

          public static final java.lang.String FIELD_VALUE_EDITOR

      See Also:
        Constant Field Values

    - #### FIELD_NESTED

          public static final java.lang.String FIELD_NESTED

      See Also:
        Constant Field Values

    - #### SIMPLE_FILTERS_FORMAT

          public static final TableFormat SIMPLE_FILTERS_FORMAT

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### ViewFilterElement

          public ViewFilterElement(DataRecord data)

    - #### ViewFilterElement

          public ViewFilterElement()

  - ### Method Detail

    - #### getLogical

          public int getLogical()

    - #### setLogical

          public void setLogical(int logical)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getStorage

          public java.lang.String getStorage()

    - #### setStorage

          public void setStorage(java.lang.String storage)

    - #### setManyToMany

          public void setManyToMany(boolean manyToMany)

    - #### getManyToMany

          public boolean getManyToMany()

    - #### getTable

          public java.lang.String getTable()

    - #### setTable

          public void setTable(java.lang.String table)

    - #### getColumn

          public java.lang.String getColumn()

    - #### setColumn

          public void setColumn(java.lang.String column)

    - #### getOperation

          public java.lang.String getOperation()

    - #### setOperation

          public void setOperation(java.lang.String operation)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getEditor

          public java.lang.String getEditor()

    - #### setEditor

          public void setEditor(java.lang.String editor)

    - #### getNested

          public java.util.List<ViewFilterElement> getNested()

    - #### setNested

          public void setNested(java.util.List<ViewFilterElement> nested)

    - #### addNested

          public void addNested(ViewFilterElement nestedElement)

    - #### isLocal

          public boolean isLocal()

    - #### setLocal

          public void setLocal(boolean local)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`